#!/bin/bash
##############################################################################
# Script for install LibreMediaServer dependencies on Ubuntu Precise 12.04 LTS
# Needs Root for execute
#
# Script de instalación de las dependencias de Libre Media Server 
# en Ubuntu Precise 12.04 LTS
# Necesita root para ejecutar
#
# (c) 2012-2013 Santi Noreña
# GPL License 
###############################################################################
# Comprobamos root
(( EUID )) && echo ‘You need to be root.’ && exit 1
# Instalamos OLA desde el repositorio del proyecto
# copia de seguridad de sources.list
cp /etc/apt/sources.list /etc/apt/sources.list.old
# Comprobamos que el repositorio no está en soucers.list
output=`grep apt.openlighting.org /etc/apt/sources.list | wc -l`
if [ "$output" -eq "0" ]; then
	#Añadimos el repositorio ola a sources.list
	echo "deb http://apt.openlighting.org/ubuntu/ precise main" >> /etc/apt/sources.list
fi
apt-get update
apt-get -y --force-yes install ola libqtcore4 libqtgui4 libqtwebkit4 libqt4script libqt4network libmagick++4 libav-tools libftgl2 libavifile-0.7c2 libgmerlin-avdec1 libmpeg3-1 libquicktime2
if [ "$?" -eq "0" ]; then 
	echo "apt-get finish ok"
	else "apt-get return errors!"	
	fi

